/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

p {
	margin: 0;
	padding: 0;
}

.elementor-sticky--effects {
   	background: #fff!important; /* change the background color here*/
   	border: 1px solid #EAEAEC;
	box-shadow: 0px 3px 5.3px rgba(0, 0, 0, 0.008), 0px 10.1px 17.9px rgba(0, 0, 0, 0.012), 0px 45px 80px rgba(0, 0, 0, 0.02);
}
.elementor-sticky--effects ul li a {
	color: #000!important;
}
/*trocar a cor do svg dos tablets e telemóveis quando o sticky estiver ativo*/
.elementor-sticky--effects .elementor-element-fca9a67 .elementor-menu-toggle svg path {
	stroke: #000!important;
}
/*barra corrida atras da foto com posição absolute*/
.marquee {
  display: flex;
  height: 8vh;
  user-select: none;
  gap: 2rem;
  overflow:hidden;
}
.marquee__group {
  flex-shrink: 0;
  display: flex;
  justify-content: start;
  gap: 2rem;
  min-width: 100%;
  animation: scroll 50s linear infinite reverse;
}
.marquee__group span{
  color: #CCA246;
  font-size: 5vw;
  opacity: 0.3;
  font-weight: 700;
  white-space: nowrap;
  font-family: 'Playfair', sans-serif !important;
       align-items: center;
    display: flex;
    padding-top: 20px;
}
.marquee__group p {
  color: #CCA246;
  opacity: 0.3;
  font-size: 5vw;
  font-weight: 700;
  white-space: nowrap;
  font-family: 'Playfair', sans-serif !important;
}
@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-100% - 2rem));
  }
}


@media only screen and (min-width: 360px) {
    .marquee__group span {
        font-size: 29px;
        
    }
    .marquee__group p {
        font-size: 64px;
    }
}

/*esconder a parte do E imagem que estava se sobre saindo para a esquerda e criando uma certa margim em todo o site*/
.elementor-element-59b3054{
	overflow:hidden;
}
/*css dos serviços*/
.servicos:hover {
	box-shadow: 0px 62px 17px 0px rgba(0, 0, 0, 0.00), 0px 39px 16px 0px rgba(0, 0, 0, 0.00), 0px 22px 13px 0px rgba(0, 0, 0, 0.02), 0px 10px 10px 0px rgba(0, 0, 0, 0.03), 0px 2px 5px 0px rgba(0, 0, 0, 0.03);
  	border-color: #ffc107;
	transition: color 0.3s ease; 
}
.servicos-arrow svg{
	top: 4px;
}
.servicos:hover .servicos-arrow svg {
	transform-origin: left;
	transform: scaleX(1.5); 
	transition: transform 0.3s ease, color 0.3s ease;
		
}
.servicos:hover .servicos-arrow svg path {
  	fill: #CCA246!important;
		
}
/*css para remover o espaço dos tamanhos dos E imagem quando se esconde eles no modo responsivo tablet e telemóveis*/
@media (max-width: 768px) {
    .remover-espaco {
        display: none !important;
        height: 0 !important;
        margin: 0 !important;
    }
}
/*ajustando o tanto de colunas vão ter o container dos cards*/
.elementor-element-d5d92a5, .elementor-element-4fef2fc .item, .elementor-element-5462844 .item, .elementor-element-3a75a30 .item {
  flex: 1 1 calc(33.33% - 20px) !important; /* 3 colunas */
	max-width: 50%;
}

@media (max-width: 659px) {
.elementor-element-d5d92a5, .elementor-element-4fef2fc .item, .elementor-element-5462844 .item, .elementor-element-3a75a30 .item {
    flex: 1 1 100% !important; /* 1 coluna em telas pequenas */
	max-width: 100%;
  }
}

@media (min-width: 660px) and (max-width: 1200px) {
.elementor-element-d5d92a5, .elementor-element-4fef2fc .item, .elementor-element-5462844 .item, .elementor-element-3a75a30 .item {
    flex: 1 1 calc(50% - 20px) !important; /* 2 colunas em telas médias */
  }
}
/*para mudar a cor dos icones do footer ao passar o mouse emcima*/
.elementor-element-6e451f9 .icone:hover svg path {
	fill: #CCA246!important;
}
/*para colocar os menus com o texto a esquerda em telemoveis*/
@media (max-width: 500px) { 
  .elementor-element-0f4d22a .elementor-element-a596780 .menu1 ul li a, .elementor-element-0f4d22a .elementor-element-2fe780d .menu2 ul li a{ 
    justify-content: start!important;
  }
}
/* para alinhar os losangos do começo nos telemóveis*/

.elementor-element-84c34e7 .elementor-element-45fbaef ul li:last-child {
	margin-right: 18px!important;
}

.elementor-element.elementor-element-d3a0dab {
    width: auto;
}

.tabs-sticky .e-n-tabs-heading{
	position: sticky;
    background-color: #fafafa;
    top: 90px;
    z-index: 3;
	padding: 24px 0;
}

.tabs-sticky .e-n-tabs-heading{
    transition: box-shadow 0.3s ease, border-bottom 0.3s ease;
}

.tabs-sticky.is-sticky .e-n-tabs-heading {
    box-shadow: 0px 15px 15px -12px rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid #EAEAEC; /* Altere a cor conforme necessário */
}